Get Employee Maturity Overview
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"report_name": "employee_maturity_overview",
"report_data": {
"entity_count": 100,
"data_maturity_overview": [
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"low_data_availability": false,
"reasons": [
[
"MAX_SOURCE_GENERALITY",
"MIN_EVENT_TYPE_DIVERSITY"
]
],
"valid_assigned_position": true,
"has_business_data": true,
"sufficient_working_history": false
}
]
},
"last_update": "2020-09-01T11:45:49Z"
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]max connections reached: <limit>[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Data Maturity Scan
Get Employee Maturity Overview
Generate the Employee Maturity Overview for all Employees in the system.
Get Employee Maturity Overview
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"report_name": "employee_maturity_overview",
"report_data": {
"entity_count": 100,
"data_maturity_overview": [
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"low_data_availability": false,
"reasons": [
[
"MAX_SOURCE_GENERALITY",
"MIN_EVENT_TYPE_DIVERSITY"
]
],
"valid_assigned_position": true,
"has_business_data": true,
"sufficient_working_history": false
}
]
},
"last_update": "2020-09-01T11:45:49Z"
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]max connections reached: <limit>[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Authorizations
Query Parameters
Additional metrics to include in the response. By default, only the external_id, low_data_availability, and reasons fields are returned.
Available metrics:
valid_assigned_position- Whether the Employee has a valid assigned position (existing Job).has_business_data- Whether the Employee has business data (Ticket or Project Skill Events).sufficient_working_history- Whether the Employee has at least 3 years of working history.
Available options:
valid_assigned_position, has_business_data, sufficient_working_history Was this page helpful?